<?php
/**
* Social Options.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

// Social Section.
$wp_customize->add_section( 'agriculture_farm_lite_social_icon_setting',
	array(
	'title'      => esc_html__( 'Social Settings', 'agriculture-farm-lite' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'agriculture_farm_lite_theme_option_panel',
	)
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_layout_facebook_link',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_layout_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_layout_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_layout_twitter_link',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_layout_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_layout_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_layout_pintrest_link',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_layout_pintrest_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_layout_pintrest_link',
    array(
    'label'    => esc_html__( 'Pintrest Link', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_layout_instagram_link',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_layout_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_layout_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_header_layout_youtube_link',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_header_layout_youtube_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_header_layout_youtube_link',
    array(
    'label'    => esc_html__( 'Youtube Link', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_social_icon_setting',
    'type'     => 'url',
    )
);